<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <p-tabView class="delivery-tab">
                <p-tabPanel header="Unit Preparation">
                    <div class="fieldset-legend">
                        <p-accordion class="filter-accordion">
                            <p-accordionTab header="Filter" [selected]="false">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_korsal" jhiTranslate="mpmApp.shipmentOutgoing.labelKorsal">Korsal</label>
                                            <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                                    <option [value]="null">Select Korsal</option>
                                                    <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                                                </select>
                                            <!-- <select class="form-control" id="field_korsal" name="korsal">
                                                    <option [ngValue]="null"></option>
                                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option>
                                                </select> -->
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales" jhiTranslate="mpmApp.shipmentOutgoing.labelSales">Sales</label>
                                            <select class="form-control" [(ngModel)]="selectedSalesman">
                                                    <option [value]="null">Select Salesman</option>
                                                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                                            </select>
                                            <!-- <select class="form-control" id="field_sales" name="sales">
                                                     <option [ngValue]="null"></option>
                                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option>
                                                </select> -->
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_type">Type</label>
                                            <select class="form-control" [(ngModel)]="selectedType">
                                                    <option [value]="type.typeId" *ngFor="let type of filterType">{{type.typeDeskripsi}}</option>
                                            </select>
                                            <!-- <select class="form-control" id="field_sales" name="sales">
                                                     <option [ngValue]="null"></option>
                                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option>
                                                </select> -->
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_tanggalPengiriman" jhiTranslate="mpmApp.shipmentOutgoing.labelDeliveryDate">Delivery Date</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date1" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date1|date}}</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date2" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date2|date}}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales" jhiTranslate="mpmApp.shipmentOutgoing.labelPaymentStatus">Payment Status</label>
                                            <select class="form-control" id="field_statusPayment" name="statusPayment">
                                                    <!-- <option [ngValue]="null"></option>
                                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                                </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales" jhiTranslate="mpmApp.shipmentOutgoing.labelStatus">Status</label>
                                            <select class="form-control" id="field_status" name="status">
                                                    <!-- <option [ngValue]="null"></option>
                                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                                </select>
                                        </div>
                                        <div class="row margin-row">
                                            <div class="col-md-12">
                                                <div class="btn-filter-wrapper">
                                                    <button type="button" class="btn btn-primary btn-filter" (click)="filterUnitPrep()">
                                                            <span>Filter</span>
                                                        </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </p-accordionTab>
                        </p-accordion>
                    </div>
                    <jhi-shipment-outgoing-grid-unit [idStatusType]=status_unit_prep (fnCallback)="doRefresh($event)" *ngIf="statusOne">
                    </jhi-shipment-outgoing-grid-unit>
                    <!-- <jhi-fetching-data *ngIf="!statusOne">
                    </jhi-fetching-data> -->

                </p-tabPanel>
                <p-tabPanel header="Delivery Order">
                    <div class="fieldset-legend">
                        <p-accordion class="filter-accordion">
                            <p-accordionTab header="Filter" [selected]="true">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_kodeTipe" jhiTranslate="mpmApp.shipmentOutgoing.labelCodeType">Code Type</label>
                                            <select class="form-control" id="field_kodeTipe" name="kodeTipe">
                                                <!-- <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_color" jhiTranslate="mpmApp.shipmentOutgoing.labelColor">Color</label>
                                            <select class="form-control" id="field_color" name="color">
                                                <!-- <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_tanggalPengiriman" jhiTranslate="mpmApp.shipmentOutgoing.labelDeliveryDate">Delivery Date</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date1" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date1|date}}</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date2" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date2|date}}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_status2" jhiTranslate="mpmApp.shipmentOutgoing.labelStatus">Status</label>
                                            <select class="form-control" id="field_status2" name="status2" [(ngModel)]="selectedstatus">
                                                <option [ngValue]="status.statusId" *ngFor="let status of statusFilter; trackBy: trackStatusById">{{status.statusDeskripsi}}</option>
                                            </select>
                                        </div>
                                        <div class="row margin-row">
                                            <div class="col-md-12" style="float:right">
                                                <div class="btn-filter-wrapper">
                                                    <button type="button" (click)="filterstatus()" class="btn btn-primary btn-filter">
                                                        <span>Filter</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </p-accordionTab>
                        </p-accordion>
                    <!-- <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <select class="form-control" id="" name=""> -->
                                    <!-- <option [ngValue]="null"></option>
                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                <!-- </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="text" class="form-control" id="" name="">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <select class="form-control" id="fiel_sales" name=""> -->
                                    <!-- <option [ngValue]="null"></option>
                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                <!-- </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="row margin-row">
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter" [routerLink]="['/', { outlets: { popup: ['shipment-outgoing-print-bast'] } }]">
                                    <span>GO</span>
                                </button> -->
                                    <!-- 
                                <button pButton type="submit"
                                        (click)="cancelDo() "
                                        icon="fa-remove"
                                        class="flat-button">
                                </button> -->
                                <!-- </div>
                            </div>
                        </div>
                    </div> -->
                    <div *ngIf="dataweb == 1 ">
                        <jhi-shipment-outgoing-grid-delivery [idStatusType]=18 (fnCallback)="doRefresh($event)" *ngIf="statusOne">
                        </jhi-shipment-outgoing-grid-delivery>
                    </div>
                    <div *ngIf="dataweb == 2 ">
                        <jhi-shipment-outgoing-grid-delivery [idStatusType]=24 (fnCallback)="doRefresh($event)" *ngIf="statusTwo">
                        </jhi-shipment-outgoing-grid-delivery>
                    </div>
                    <div *ngIf="dataweb == null ">
                        <jhi-shipment-outgoing-grid-delivery [idStatusType]=18 (fnCallback)="doRefresh($event)" *ngIf="statusFive">
                        </jhi-shipment-outgoing-grid-delivery>
                    </div>
                    <!-- <jhi-fetching-data *ngIf="!statusTwo">
                    </jhi-fetching-data> -->
                </p-tabPanel>
                <p-tabPanel header="Jadwal Pengiriman">
                    <div class="fieldset-legend">
                        <p-accordion class="filter-accordion">
                            <p-accordionTab header="Filter" [selected]="true">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_tanggalPengiriman" jhiTranslate="mpmApp.shipmentOutgoing.labelDeliveryDate">Delivery Date</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date1" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date1|date}}</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar class="size-calendar" [(ngModel)]="date2" [showIcon]="true"></p-calendar> <span style="margin-left:35px">{{date2|date}}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales" jhiTranslate="mpmApp.shipmentOutgoing.labelPaymentStatus">Payment Status</label>
                                            <select class="form-control" id="field_statusPayment" name="statusPayment">
                                                <!-- <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_korsal" jhiTranslate="mpmApp.shipmentOutgoing.labelKorsal">Korsal</label>
                                            <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                                <option [value]="null">Select Korsal</option>
                                                <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                                            </select>
                                            <!-- <select class="form-control" id="field_korsal" name="korsal">
                                                <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                            <!-- </select>  -->
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales" jhiTranslate="mpmApp.shipmentOutgoing.labelSales">Sales</label>
                                            <select class="form-control" [(ngModel)]="selectedSalesman">
                                                <option [value]="null">Select Salesman</option>
                                                <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                                            <!-- <select class="form-control" id="field_sales" name="sales">
                                                <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option>
                                            </select> -->
                                        </div>
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_sales">Status</label>
                                            <select class="form-control" id="field_status3" name="status3" [(ngModel)]="selectedstatus">
                                            <option [ngValue]="status.statusId" *ngFor="let status of statusFilterJadwal; trackBy: trackStatusById">{{status.statusDeskripsi}}</option>
                                                <!-- <option [ngValue]="null"></option>
                                                <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                            </select>
                                        </div>
                                        <div class="row margin-row">
                                            <div class="col-md-12" style="float:right">
                                                <div class="btn-filter-wrapper">
                                                    <button type="button" (click)="filterstatus()" class="btn btn-primary btn-filter">
                                                        <span>Filter</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </p-accordionTab>
                        </p-accordion>
                    <!-- <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <select class="form-control" id="" name=""> -->
                                    <!-- <option [ngValue]="null"></option>
                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                <!-- </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="text" class="form-control" id="" name="">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <select class="form-control" id="fiel_sales" name=""> -->
                                    <!-- <option [ngValue]="null"></option>
                                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
                                <!-- </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="row margin-row">
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter">
                                    <span>GO</span>
                                </button>

                                </div> -->
                                <!-- <button type="button" (click)="showModalKonfirmasiOther()" pButton icon="fa-external-link-square"></button> -->
                            <!-- </div>
                        </div>
                    </div> -->
                    <div *ngIf="dataweb == 1 ">
                            <jhi-shipment-outgoing-grid-jadwal [idStatusType]=24 (fnCallback)="doRefresh($event)" *ngIf="statusOne">
                            </jhi-shipment-outgoing-grid-jadwal>
                        </div>
                        <div *ngIf="dataweb == 2 ">
                            <jhi-shipment-outgoing-grid-jadwal [idStatusType]=22 (fnCallback)="doRefresh($event)" *ngIf="statusTwo">
                            </jhi-shipment-outgoing-grid-jadwal>
                        </div>
                        <div *ngIf="dataweb == 3 ">
                            <jhi-shipment-outgoing-grid-jadwal [idStatusType]=23 (fnCallback)="doRefresh($event)" *ngIf="statusThree">
                            </jhi-shipment-outgoing-grid-jadwal>
                        </div>
                        <div *ngIf="dataweb == 4 ">
                            <jhi-shipment-outgoing-grid-jadwal [idStatusType]=21 (fnCallback)="doRefresh($event)" *ngIf="statusFour">
                            </jhi-shipment-outgoing-grid-jadwal>
                        </div>
                        <div *ngIf="dataweb == null ">
                            <jhi-shipment-outgoing-grid-jadwal [idStatusType]=24 (fnCallback)="doRefresh($event)" *ngIf="statusFive">
                            </jhi-shipment-outgoing-grid-jadwal>
                        </div>
                    <!-- <jhi-shipment-outgoing-grid-jadwal [idStatusType]=status_jadwal (fnCallback)="doRefresh($event)" *ngIf="statusThree">
                    </jhi-shipment-outgoing-grid-jadwal> -->
                    <!-- <jhi-fetching-data *ngIf="!statusThree">
                    </jhi-fetching-data> -->

                </p-tabPanel>

            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>


<p-confirmDialog></p-confirmDialog>